Subject: Re: [PATCH 00/20] Fix typos

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Sep 2024 13:42:19 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> All of these look correct.
>
> Maybe all of the commits could be combined into one commit with the
> message “treewide: fix typos”.  But that wasn’t asked for last time.[1]
> So I dunno.

It depends.  When done carefully to make sure that nothing textually
conflicts with any topics in flight, a single "treewide" patch is
slightly nicer.  If nothing conflicts with nothing else, either
format is fine.  If something have nasty conflicts (e.g., a refactor
moved the comment with typos far from the original location or even
to a different file), individual patch form is easier to discard the
ones that need to wait.

I do not know which case this 20-patch collection falls into.

Thanks.